public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/xkbcommon/
Date: Sat, 13 Apr 2024 05:35:34 +0000 (UTC)	[thread overview]
Message-ID: <1712986509.102aa811d2b7d4d051a18f624d0ed36c7e65345d.arthurzam@gentoo> (raw)

commit:     102aa811d2b7d4d051a18f624d0ed36c7e65345d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 04:59:50 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 05:35:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=102aa811

dev-python/xkbcommon: Bump to 1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/xkbcommon/Manifest             |  1 +
 dev-python/xkbcommon/xkbcommon-1.0.ebuild | 43 +++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/xkbcommon/Manifest b/dev-python/xkbcommon/Manifest
index e2afa5bebb5b..91101265c16c 100644
--- a/dev-python/xkbcommon/Manifest
+++ b/dev-python/xkbcommon/Manifest
@@ -1 +1,2 @@
 DIST python-xkbcommon-0.8.gh.tar.gz 26951 BLAKE2B 0d2a649e3fee8baa9345ddca97dc7c77b5d9e10d7ca90cbb29bcc3531f4bba3deee39e610e147054e956310506fb79ebb43c85955b787e55046d67c12b851026 SHA512 ae2640ef89e7ace0468e970762c7be4d3f608701f1abea10174f274c622db28a6e6323cdc5bbbbaaa1065d4c4ddf9f67b75d4c34bb2e9a0bb6260778b15a330a
+DIST python-xkbcommon-1.0.gh.tar.gz 27258 BLAKE2B 3106877f8e87f50453a358eec4e6431642b00a6a2bc23d3088ef22379984869ec84cd042a1ac53dd72783f3005dad1efddf3f87410204b88bfde4f9da0044c97 SHA512 c7793d6f5517771006ff5a9c01deb9a37717157d7171af49ff459dc96b3b16a1d2d4c0f1272b5a8f683390de1e8e6a6ff92472f18828c7e38e0f2a1ee6f34f07

diff --git a/dev-python/xkbcommon/xkbcommon-1.0.ebuild b/dev-python/xkbcommon/xkbcommon-1.0.ebuild
new file mode 100644
index 000000000000..be6fb2d9ee7f
--- /dev/null
+++ b/dev-python/xkbcommon/xkbcommon-1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=python-xkbcommon-${PV}
+DESCRIPTION="Python bindings for libxkbcommon using cffi"
+HOMEPAGE="
+	https://github.com/sde1000/python-xkbcommon/
+	https://pypi.org/project/xkbcommon/
+"
+SRC_URI="
+	https://github.com/sde1000/python-xkbcommon/archive/refs/tags/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+# x11-libs/libxkbcommon dep per README
+RDEPEND="
+	>=x11-libs/libxkbcommon-${PV}
+	$(python_gen_cond_dep '
+		dev-python/cffi[${PYTHON_USEDEP}]
+	' 'python*')
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+python_test() {
+	rm -rf xkbcommon || die
+
+	epytest
+}


             reply	other threads:[~2024-04-13  5:35 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-13  5:35 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-27  9:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/xkbcommon/ Michał Górny
2024-07-27  8:19 Arthur Zamarin
2024-07-07 17:14 Arthur Zamarin
2024-07-06  5:29 Michał Górny
2024-07-06  5:29 Michał Górny
2024-05-18 11:46 Michał Górny
2024-04-27 11:29 Michał Górny
2024-04-27 11:27 Michał Górny
2023-10-27 18:27 Michał Górny
2023-06-11  9:21 Michał Górny
2023-05-04 17:04 Michał Górny
2023-05-03  6:55 Arthur Zamarin
2023-01-14  8:50 Joonas Niilola
2023-01-12 21:18 Yixun Lan
2023-01-12  7:06 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712986509.102aa811d2b7d4d051a18f624d0ed36c7e65345d.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox